/*!
 * Copyright (c) 2019 digitalSTROM AG, Switzerland
 *
 * \author Danilo Zanatta, danilo.zanatta@digitalstrom.com
 */

#include "CSVRead.h"

#include <fstream>
#include <iostream>
#include <sstream>
#include <cstdlib>

CSVRead::CSVRead(std::string filename) : m_filename(filename)
{
}

bool CSVRead::readU8(std::vector<uint8_t> &buffer)
{
    std::ifstream in(m_filename.c_str());

    if (!in) {
        return false;
    }

    std::string line;
    while (getline(in, line)) {
        std::stringstream sep(line);
        std::string field;
        while (getline(sep, field, ',')) {
            buffer.push_back(atoi(field.c_str()));
        }
    }

    return true;
}
