/*!
 * Copyright (c) 2019 digitalSTROM AG, Switzerland
 *
 * \author Danilo Zanatta, danilo.zanatta@digitalstrom.com
 */

#ifndef CONFIGUPDATE_H_
#define CONFIGUPDATE_H_

#include <string>
#include <list>
#include "dsf.h"
#include "retcodes.h"


/*!
 * \class DSFConfigUpdate
 * \brief Implements the configuration update for the DSF
 *
 * \see DSF
 */
class DSFConfigUpdate
{
 public:
    DSFConfigUpdate();
    int run(int argc, char** argv);


 private:
    void usage();
    
    static int printDeviceList(const std::list<DSF::Device> &devices);
    int updateDSPConfig(DSF *dsf, const DSF::Device dev, const std::vector<uint8_t> vConfig);

    bool parseArguments(int argc, char** argv);

    const char* m_appName;

    static const std::string DEFAULT_CONNECTION;

    // config
    std::string m_connectionString;
    std::string m_dsfDSUID;
    std::string m_configFilename;
    bool m_bScanMode;
    bool m_bAllMode;
    bool m_bDebug;
};

#endif /* CONFIGUPDATE_H_ */
