/*!
 * Copyright (c) 2019 digitalSTROM AG, Switzerland
 *
 * \author Danilo Zanatta, danilo.zanatta@digitalstrom.com
 */

#ifndef _RETCODES_H_
#define _RETCODES_H_

#include <stdlib.h>

/*! 
 * \namespace RETCODES 
 * \brief namespace to wrap symbolic return values
 */
namespace RETCODES {

/*! 
 * \enum ReturnValue 
 * \brief Symbolic return codes
 */
enum ReturnValue {
  SUCCESS = EXIT_SUCCESS,    /*!< successful execution                     */

  ERR_ARG,                   /*!< argument error                           */
  ERR_FILE_OPEN,             /*!< error while opening file                 */

  ERR_DSMAPI_LIB_INIT,          /*!< error initializing ds485 lib             */
  ERR_DSF_VERSION_RETRIEVAL, /*!< error retrieving the current DSP version */
  ERR_DSF_CONFIG_VERIFY,      /*!< error merging configs                    */
  ERR_DSF_CONFIG_WRITE,      /*!< error writing config to dSM              */
  ERR_DSF_DSP_RESTART_ERROR, /*!< restart of dsp failed                    */
};

}

#endif /* _RETCODES_H_ */
